[Haskell-cafe] ANN: Salvia-1.0.0

Bernie Pope florbitous at gmail.com
Thu Mar 25 00:39:17 EDT 2010

On 25 March 2010 14:23, Ivan Miljenovic <ivan.miljenovic at gmail.com> wrote:
> On 25 March 2010 12:21, Bernie Pope <florbitous at gmail.com> wrote:
>> Yes, I tried that, but unfortunately it falls over with:
>> Language/Haskell/TH/Quote.hs:31:12:
>>    Not in scope: data constructor `CharConstr'
>> cabal: Error: some packages failed to install:
>> template-haskell- failed during the building phase. The exception was:
>> exit: ExitFailure 1
> TH-2.4 comes with/needs GHC 6.12.  The problem here appears to by with
> syb-with-class: using a lower version of that should work, as 0.6.1
> appears to be a compatability release just to get it working on 6.12
> (whereas 0.6 works with 6.10).

Thanks Ivan.

cabal install syb-with-class-0.6 fixed the problem.

I note that you did mention this before, and sorry I missed it the first time.


More information about the Haskell-Cafe mailing list